VPS侦探论坛

 找回密码
 注册
搜索
查看: 542|回复: 9

升级了nginx, 重启lnmp有这个错误信息

[复制链接]
发表于 2018-11-20 09:36:58 | 显示全部楼层 |阅读模式



Stoping LNMP...
Stoping nginx... /etc/init.d/nginx: line 53: /usr/local/nginx/sbin/nginx: No such file or directory
failed. Use force-quit


但是网站还是能访问,这个怎么解决。
我是 lnmp 1.2版本的。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-11-20 09:39:14 | 显示全部楼层

Stoping LNMP...
Stoping nginx... /etc/init.d/nginx: line 53: /usr/local/nginx/sbin/nginx: No such file or directory
failed. Use force-quit
Shutting down MySQL... SUCCESS!
Gracefully shutting down php-fpm . done
Starting LNMP...
Starting nginx... nginx (pid 32438 32437 21832) already running.
Starting MySQL. SUCCESS!
Starting php-fpm  done

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2018-11-20 10:01:36 | 显示全部楼层

升级的时候可能出现错误了。
Uncompress nginx-1.14.1.tar.gz...
cd nginx-1.14.1...
./configure: error: invalid option "--with-http_spdy_module"
make: *** No targets specified and no makefile found.  Stop.
cp: cannot stat `objs/nginx': No such file or directory
Test nginx configure file...
include/upgrade_nginx.sh: line 56: /usr/local/nginx/sbin/nginx: No such file or directory
upgrade...
make: *** No rule to make target `upgrade'.  Stop.
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-11-20 12:42:22 | 显示全部楼层

升级到nginx-1.14.1这类高版本的nginx只能使用1.4、1.5等高版本的nginx
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2018-11-20 13:44:56 | 显示全部楼层



原帖由 licess 于 2018-11-20 12:42 发表
升级到nginx-1.14.1这类高版本的nginx只能使用1.4、1.5等高版本的nginx

那要怎么办,我这个是升级失败吗?现在该怎么做呢?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2018-11-20 15:37:52 | 显示全部楼层



解决了,在/usr/local/nginx/sbin中生成了一个
nginx.20181120093035文件,
把这个文件重新命名为 nginx  又能重启了,

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2018-11-21 11:29:23 | 显示全部楼层

回复 6# 的帖子


那不是生成的,那是备份,升级教程里都有说明
按4楼给你的方法升级
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2018-11-21 13:11:00 | 显示全部楼层

原帖由 licess 于 2018-11-20 12:42 发表
升级到nginx-1.14.1这类高版本的nginx只能使用1.4、1.5等高版本的nginx

你这句话不是很懂,你的意思是下载 lnmp1.4  1.5版本文件,然后提取其中的nginx升级脚本升级吗?
但是我要提取哪个文件呢?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-11-22 08:53:03 | 显示全部楼层

回复 8# 的帖子


没有其他意思
下载1.5,解压,进入安装包,升级
实在不明白官网有升级教程可以看一下
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2018-11-22 23:19:35 | 显示全部楼层



知道了,谢谢!

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-7-19 08:36 , Processed in 0.045191 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表